Package com.sun.jna.platform.win32

# Class WinCrypt.CRYPT_KEY_PROV_INFO

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinCrypt.CRYPT_KEY_PROV_INFO

Direct Known Subclasses:
  `WinCrypt.CRYPT_KEY_PROV_INFO.ByReference`

Enclosing interface:
  WinCrypt

@FieldOrder({"pwszContainerName","pwszProvName","dwProvType","dwFlags","cProvParam","rgProvParam","dwKeySpec"}) public static class WinCrypt.CRYPT_KEY_PROV_INFO extends Structure
The CRYPT_KEY_PROV_INFO structure contains information about a key container within a cryptographic service provider (CSP).

See Also:
  - MSDN

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinCrypt.CRYPT_KEY_PROV_INFO.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `cProvParam`
  `int`
  `dwFlags`
  `int`
  `dwKeySpec`
  `int`
  `dwProvType`
  `String`
  `pwszContainerName`
  `String`
  `pwszProvName`
  `Pointer`
  `rgProvParam`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CRYPT_KEY_PROV_INFO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WinCrypt.CRYPT_KEY_PROV_PARAM[]`
  `getRgProvParam()`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### pwszContainerName

    public String pwszContainerName

  - ### pwszProvName

    public String pwszProvName

  - ### dwProvType

    public int dwProvType

  - ### dwFlags

    public int dwFlags

  - ### cProvParam

    public int cProvParam

  - ### rgProvParam

    public Pointer rgProvParam

  - ### dwKeySpec

    public int dwKeySpec

- ## Constructor Details

  - ### CRYPT_KEY_PROV_INFO

    public CRYPT_KEY_PROV_INFO()

- ## Method Details

  - ### getRgProvParam

    public WinCrypt.CRYPT_KEY_PROV_PARAM[] getRgProvParam()